sample24.cpp File Reference

Example: demo for bm::rank_range_split. More...

`#include <stdlib.h>`
`#include <iostream>`
`#include <vector>`
`#include <utility>`
`#include "bm.h"`
`#include "bmalgo.h"`
`#include "bmundef.h"`
Include dependency graph for sample24.cpp:

Go to the source code of this file.

## Typedefs

typedef bm::bvector ::size_type | bv_size_type
typedef std::vector< std::pair< bv_size_type, bv_size_type > > | bv_ranges_vector

## Functions

int | main (void)

## Detailed Description

Example: demo for bm::rank_range_split.

Definition in file sample24.cpp.

## Typedef Documentation

## bv_ranges_vector

typedef std::vector<std::pair<bv_size_type, bv_size_type> > bv_ranges_vector

Examples
  sample24.cpp, xsample07.cpp, xsample07a.cpp, and xsample09.cpp.

Definition at line 55 of file sample24.cpp.

## bv_size_type

typedef bm::bvector ::size_type bv_size_type

Examples
  sample24.cpp, xsample07.cpp, xsample07a.cpp, and xsample09.cpp.

Definition at line 54 of file sample24.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 57 of file sample24.cpp.

References bm::bvector< Alloc >::count(), bm::bvector< Alloc >::get_enumerator(), bm::id_max, bm::rank_range_split(), and bm::bvector< Alloc >::iterator_base::valid().